Blueprint studio · Spec sheets · Amber callouts · Free shipping over $75
Sheet A · Product board
Unit price
SEK579.50
SEK609.50

Pay in 4 interest-free payments of $144.88 Learn more

Field rating
4.3

Verified studio score · Spec revision current

Fit · Size

Zyxel GS1900-24E-EU0103F nätverksswitchar hanterad L2 Gigabit Ethernet (10/100/1000) 1U Svart Knapptelefoner Doro Leva L31 4G flip

SKU: 3758161300

Dispatch

Shipping Estimate
USA
  • USA
  • CAN

Ships within 48 hours · Estimated delivery Oct 16 - Oct 21

Description

Doro Leva L31 4G flip mobil - Sort/Hvid

Håll enkelt reda på tonerförbrukningen och beställ nya kassetter med hjälp av den inbyggda intelligensen i HP tonerkassetter

Ramlös design (utan ram)

3u Maximal dataöverföringshastighet 1000 Mbit/s Design LED-indikatorer Data

VESA-fäste 200 x 200 mm

Zyxel GS1900-24E-EU0103F nätverksswitchar hanterad L2 Gigabit Ethernet (10/100/1000) 1U Svart Knapptelefoner Doro Leva L31 4G fliphanterad L2 Webbaserad adminstraion Std fr garanterad tjnstekvalitet (QoS) Antal grundlggande RJ 45 Ethernet portar: 24 Adresstabellstorlek: 8000 poster Switch kapacitet: 48 Gbit s 1U Rackmontering Staplingsbar AC Strmfrsrjning ingr Zyxel GS1900 Series GS1900 24E Switch 24 porte Gigabit Management features MIB stdd RFC 1213 MIB II, RFC 2819 RMON (group 1, 2, 3, 9),RFC 1215 generic traps, RFC 1493 bridge, Zyxel private common MIB Systemhndelselogg Ja

Exchange/Return Notes
  • We offer a 30-day return/exchange service after receiving.
  • Final sale items are not eligible for returns or exchanges.
  • To process your return/exchange, please contact us at [email protected]
  • Please click here for more details>>> Return & Exchange Policy

You may also like

recommand products